%global packname  decor
%global rlibdir  %{_libdir}/R/library

Name:             R-%{packname}
Version:          1.0.2
Release:          %{autorelease}
Summary:          Retrieve Code Decorations

License:          MIT
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

BuildRequires:    gcc-c++
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-tibble
BuildRequires:    R-utils
BuildRequires:    R-vctrs >= 0.5.0
BuildRequires:    R-covr
BuildRequires:    R-testthat
BuildRequires:    texlive-inconsolata

%description
Retrieves code comment decorations for C++ languages of the form '\\
[[xyz]]', which are used for automated wrapping of C++ functions.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%dir %{rlibdir}/%{packname}/libs
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/libs/decor.so
%license %{rlibdir}/%{packname}/LICENSE

%changelog
%autochangelog
